<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
		<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
		<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
		<cv:cvMessages bundle="localization.users"></cv:cvMessages>
		<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
		<cv:cvMessages bundle="localization.servers"></cv:cvMessages>
		<cv:cvMessages bundle="localization.dbs"></cv:cvMessages>
		<cv:cvMessages bundle="localization.oracle"></cv:cvMessages>
</script>
<div class="row">
	<div class="col-md-12">
			<h1 class="float-left" data-ng-bind="clientDetails.client.clientEntity.clientName" data-ng-show="serverMessage.message==''"></h1>
			<span class="server-message {{serverMessage.type}}" data-ng-bind="serverMessage.message"></span>
			<span data-ng-if="clientDetails" cv-jobs cv-class="page-action-item" entity-type='CLIENT_ENTITY' entity='clientDetails.client.clientEntity' > <cv:msg key="header.jobs" bundle="serversJs" /> </span>
			<span class="page-action-item spacing-right">
				<span uib-dropdown class="uib-dropdown" on-toggle="toggled(open)">
					<a href class="uib-dropdown-toggle" uib-dropdown-toggle>
						<span class="dropdownArrow right"></span><cv:msg key="MoreActions" />
					</a>
					<ul uib-dropdown-menu>
						<li data-ng-if="isGeneratePackageEnabled(roles)">
							<a href="" data-ng-click="showGeneratePackageDialog(clientDetails.client.clientEntity.clientId)"><cv:msg key="label.generatePackage" bundle="serversJs" /></a>
						</li>
						<%-- <li data-ng-if="clientDetails" cv-push-install-software entity="clientDetails.client.clientEntity" installed-agents="agentsList">
							<cv:msg key="label.installSoftware" bundle="servers" />
						</li> --%>
						<li data-ng-if="clientDetails">
							<a href="" data-ng-click="openUninstallSoftwareDialog(clientDetails.client.clientEntity.clientId,clientDetails.client.clientEntity.clientName)"><cv:msg key="label.uninstallSoftware" bundle="servers" /></a>
						</li>
						<li data-ng-if="clientDetails">
							<a href="" data-ng-click="openUpdateSoftwareDialog(clientDetails.client.clientEntity.clientId,clientDetails.client.clientEntity.clientName)"><cv:msg key="label.updateSoftware" bundle="servers" /></a>
						</li>
						<li data-ng-if="clientDetails && !clientDetails.clientProps.IsDeletedClient">
							<a href="" data-ng-click="openReleaseLicenseDialog(clientDetails.client.clientEntity.clientId,clientDetails.client.clientEntity.clientName)"><cv:msg key="label.releaseLicense" bundle="servers" /></a>
						</li>
						<li data-ng-if="clientDetails.clientProps.IsDeletedClient">
							<a href="" data-ng-click="deleteClient(clientDetails.client.clientEntity.clientId,clientDetails.client.clientEntity.clientName)"><cv:msg key="label.deleteClient" bundle="servers" /></a>
						</li>
						<li data-ng-if="clientDetails.clientProps.IsDeletedClient">
							<a href="" data-ng-click="reconfigureClient(clientDetails.client.clientEntity.clientId,clientDetails.client.clientEntity.clientName)"><cv:msg key="label.reconfigureClient" bundle="servers" /></a>
						</li>
					</ul>
				</span>
			</span>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<cv-tile-component data-ac-id="heading_clientGeneral-clients" loader="clientDetails"  data-title='<cv:msg key="heading.clientGeneral" bundle="clients" />'>
			<ul class="group list-style-secondary">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.clientName" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-bind="clientDetails.client.clientEntity.clientName"></span></li>
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.data.serverHostName" bundle="servers" /></span>
					<span class="pageDetailColumn" data-ng-bind="clientDetails.client.clientEntity.hostName"></span></li>
				<li class="group" data-ng-show="clientDetails.client.clientEntity.commCellName.length>0"><span class="pageDetailColumn"><cv:msg key="label.commserveHostName" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-bind="clientDetails.client.clientEntity.commCellName"></span></li>
			</ul>
		</cv-tile-component>
		<%-- <cv-tile-component data-ac-id="heading_clientActivityControl-clients" data-title='<cv:msg key="heading.clientActivityControl" bundle="clients"/>' loader="clientDetails">
			<cv-activity-control label='<cv:msg key="Data_Management" bundle="clients" />' entity="clientDetails.client.clientEntity"
					enable-backup={{subclientDetails.commonProperties.enableBackup}} > </cv-activity-control>
			<cv-activity-control label='<cv:msg key="Data_Recovery" bundle="clients" />' entity="clientDetails.client.clientEntity"
					enable-backup={{subclientDetails.commonProperties.enableBackup}} > </cv-activity-control>
		</cv-tile-component> --%>
	</div>
	<div class="col-md-6">
		<cv-security-component entity-type='entityType' generic-entity = 'genericEntity'  associations-loaded="associationsLoaded" associations='formattedSecurityAssociations' data-show-Owners='true'>
		</cv-security-component>
	</div>
</div>
<cv-grid cv-grid-options="gridOptions"></cv-grid>
