<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.ebsApp"></cv:cvMessages>
	<cv:cvMessages bundle="localization.oracle"></cv:cvMessages>
</script>
<div class="bootstrap-wrapper" >
	<div class="setup-title">
		<h1 data-ng-hide="isEditing" > <cv:msg key="label.addComputNode" bundle="ebsApp"/></h1>
		<h1 data-ng-show="isEditing" > <cv:msg key="label.updateComputNode" bundle="ebsApp"/></h1>
	</div>
	<div class="{{computeNodeMessage.type}} serverMessage text-center">{{computeNodeMessage.message}}</div>
	<form name="computeNodeForm" novalidate autocomplete="off" data-cv-submit="saveModel()" >	
		<div class="panel">
			<div class="panel-body" data-ng-if="preRegistore">
				<div class="form-group">
					<label class="col-xs-12 col-lg-6" for="hostName">
						<cv:msg key="label.clientName" bundle="clients"/> 
					</label>
					<div class="col-xs-12 col-lg-6">						
						<isteven-multi-select  id="addEBSComputeNode_button_#2802" 
								input-model="clientList"  
								button-label="clientName" 
								item-label="clientName" 
								tick-property="selected"
								class="isteven-multi-select user-group-select " 
								helper-elements="filter" 
								selection-mode="single" 
								on-close="parseIStevenOutput()" 
								on-item-click="selectedOneClient(data)"
								translation="localLang"  />
						<span class="help-block" data-ng-show="cvClientError">
							<cv:msg key="error.nodeName" bundle="ebsApp"/> 
						</span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12 col-lg-6" >
						<cv:msg key="label.nodeType" bundle="ebsApp"/>
					</label>
					<div class="col-xs-12 col-lg-3">
						<input type="checkbox" data-ng-model="computeNode.database" id="ebsNodeTypeDB" name="ebsNodeTypeDB" />
						<label for="ebsNodeTypeDB" > 	
							<cv:msg key="label.dbName" bundle="ebsApp"/>
						</label>
					</div>
					<div class="col-xs-12 col-lg-3">
						<input type="checkbox" data-ng-model="computeNode.application" id="ebsNodeTypeApp" name="ebsNodeTypeApp" />
							<label for="ebsNodeTypeApp"> 
								<cv:msg key="label.appName" bundle="ebsApp"/>
							</label>
					</div>
				</div>	
			</div>
		
			<div data-ng-if="!preRegistore && vmTeplPolicy" >
				<cv-compute-node  compute-node-form="computeNodeForm" policy-data="vmTeplPolicy" migration-type="migrationType" node-data="nodeData" editing="isEditing"></cv-compute-node>
			</div>
		</div>
		<div class="modal-footer">
	  		<button type="button" class="btn btn-default setup-btn--hidden" data-ng-click="cancelModel()">
	  			<cv:msg key="Cancel" bundle="messages"/>
  			</button>
	  		<button id="addEBSComputeNode_button_#7438" type="submit" class="btn btn-primary" >  
	  			<cv:msg key="Save" bundle="messages"/>
	  		</button>
		</div>
	</form>
</div>