<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.ebsApp"></cv:cvMessages>
</script>
<span class="{{ebsNode.serverMessage.type}}" data-ng-bind="ebsNode.serverMessage.message"></span>
<div class="panel-body ">
	<div class="form-group">
		<label class="col-xs-12 col-lg-6" for="hostName">
			<cv:msg key="label.hostName" bundle="ebsApp"/>
		</label>
		<div class="col-xs-12 col-lg-6" >
			<input type="text" data-ng-model="ebsNode.data.appTier.hostName" data-ng-required="true" 
				id="hostName" name="hostName" /> 
			<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.hostName)">
				 <cv:msg key="error.hostName" bundle="ebsApp"/> 
			</span>
		</div>
	</div>
	
	<div class="form-group">
		<label class="col-xs-12 col-lg-6" for="userName" >
			<cv:msg key="label.unixUsername" bundle="ebsApp"/>
		</label>
		<div class="col-xs-12 col-lg-6" >
			<input type="text" data-ng-model="ebsNode.data.appTier.unixUser.userName" data-ng-required="true" 
				id="userName" name="userName" /> 
			<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.userName)">
				 <cv:msg key="error.unixUsername" bundle="ebsApp"/> 
			</span>
		</div>
	</div>
	
	<div class="form-group">
		<label class="col-xs-12 col-lg-6" for="userNamePassword">
			<cv:msg key="label.unixPassword" bundle="ebsApp"/>
		</label>
		<div class="col-xs-12 col-lg-6" >
			<input type="password" data-ng-model="ebsNode.data.appTier.unixUser.userNamePassword" data-ng-required="true" 
				id="userNamePassword" name="userNamePassword" /> 
			<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.userNamePassword)">
				 <cv:msg key="error.unixPassword" bundle="ebsApp"/> 
			</span>
		</div>
	</div>
	<div class="form-group">
		<label class="col-xs-12 col-lg-6" for="userName">
			<cv:msg key="label.appsUsername" bundle="ebsApp"/>
		</label>
		<div class="col-xs-12 col-lg-6" >
			<input type="text" data-ng-model="ebsNode.data.appTier.appsUser.userName" 
				id="userName" name="userName" /> 
		</div>
	</div>
	<div class="form-group">
		<label class="col-xs-12 col-lg-6" for="userNamePassword">
			<cv:msg key="label.appsPassword" bundle="ebsApp"/>
		</label>
		<div class="col-xs-12 col-lg-6" >
			<input type="password" data-ng-model="ebsNode.data.appTier.appsUser.userNamePassword" 
				id="userNamePassword" name="userNamePassword" /> 
		</div>
	</div>
	<div class="form-group">
		<label class="col-xs-12 col-lg-6" for="webLogicUser">
			<cv:msg key="label.WeblogicUsername" bundle="ebsApp"/> 
		</label>
		<div class="col-xs-12 col-lg-6">
			<input type="text" data-ng-model="ebsNode.data.appTier.weblogicUser.userName" 
				id="webLogicUser" name="webLogicUser" />
			<span class="help-block" data-ng-show="cv.addEBSCompute.needsAttention(addEBSCompute.webLogicUser)">
				 <cv:msg key="error.WeblogicUsername" bundle="ebsApp"/> 
			</span>
		</div>
	</div>
	<div class="form-group">
		<label class="col-xs-12 col-lg-6" for="webLogicPassword">
			<cv:msg key="label.WeblogicPassword" bundle="ebsApp"/> 
		</label>
		<div class="col-xs-12 col-lg-6">
			<input type="password" data-ng-model="ebsNode.data.appTier.weblogicUser.passwordValue" 
				data-ng-change="ebsNode.updatePassword(ebsNode.data.appTier.weblogicUser,ebsNode.data.appTier.weblogicUser.passwordValue)" id="webLogicPassword" name="webLogicPassword" />
			<span class="help-block" data-ng-show="cv.addEBSCompute.needsAttention(addEBSCompute.webLogicPassword)">
				 <cv:msg key="error.WeblogicPassword" bundle="ebsApp"/> 
			</span>
		</div>
	</div>
	<%-- <div class="form-group">
		<label class="col-xs-12 col-lg-6" for="runProfile" >
			<cv:msg key="label.runProfile" bundle="ebsApp"/>
		</label>
		<div class="col-xs-12 col-lg-6" >
			<input type="text" data-ng-model="ebsNode.data.appTier.runProfile" 
				id="runProfile" name="runProfile" /> 
		</div>
	</div> --%>	
	
</div>	
<div class="button-container" >
	<button id="createEBSNodeAppConfigPage_button_#4631" title="{{wizardCtrl.getPreviousLabel()}}" type="button" data-ng-click="wizardCtrl.goToPreviousPage()" class="btn cvBusyOnAjax">{{wizardCtrl.getPreviousLabel()}}</button> 
	<button id="createEBSNodeAppConfigPage_button_#1071" title="{{wizardCtrl.getNextLabel()}}" type="button" data-ng-class="{'busy':ebsNode.loading}" data-ng-click="ebsNode.discoverNodes(wizardCtrl)"  class="btn btn-primary cvBusyOnAjax"> 
		<cv:msg key="button.discover.nodes" bundle="servers"/>
	</button>
</div>
